"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const checkExecutionCapacityNew_1 = require("../checkExecutionCapacityNew");
function getNodeMockImplementation() {
    return [
        { id: 1, nodePoolId: 1, statusCode: 4001 },
        { id: 2, nodePoolId: 1, statusCode: 4002 },
        { id: 3, nodePoolId: 1, statusCode: 4003 },
        { id: 4, nodePoolId: 2, statusCode: 4001 },
        { id: 5, nodePoolId: 2, statusCode: 4002 },
        { id: 6, nodePoolId: 2, statusCode: 4003 }
    ];
}
function getNodePoolMockImplementation() {
    return [
        { id: 1, isOnDemand: true },
        { id: 2, isOnDemand: false }
    ];
}
function getExecutionNodesMockImplementation() {
    return { active: 3, allowed: 0, available: 3 };
}
jest.mock('../../acl', () => {
    return {
        NodePoolRepository: jest.fn().mockImplementationOnce(() => {
            return {
                getNodes: getNodeMockImplementation,
                getNodePools: getNodePoolMockImplementation,
                getExecutionNodes: getExecutionNodesMockImplementation
            };
        })
    };
});
describe('CheckExecutionCapactiy tests: microWorker|checkExecutionCapacity', () => {
    const checkExecutionCapacity = new checkExecutionCapacityNew_1.CheckExecutionCapacity();
    it('should be defined', () => {
        expect(checkExecutionCapacity).toBeDefined();
    });
    it('should return availableNodePools, hasRemainingCapacity, allNodePools', async () => {
        const result = await checkExecutionCapacity.checkCapacity();
        const expectedResult = {
            allNodePools: [
                { id: 1, isOnDemand: true },
                { id: 2, isOnDemand: false }
            ],
            availableNodePools: [{ id: 2, isOnDemand: false }],
            hasRemainingCapacity: true
        };
        expect(result).toStrictEqual(expectedResult);
    });
});
//# sourceMappingURL=checkExecutionCapacityNew.test.js.map