"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const ApiIntegrationDataAdapter_1 = require("../ApiIntegrationDataAdapter");
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: { config: { apiUrl: 'http://example.com', controlPlaneVersion: '1.23.6', defaultBatchSize: 100 } }
}));
describe('NodePoolDataAdapter test cases', () => {
    const adapter = new ApiIntegrationDataAdapter_1.ApiIntegrationDataAdapter();
    const client = internal_clients_1.PipelinesClient;
    it('should be defined', () => {
        expect(adapter).toBeDefined();
    });
    describe('getProjectsByQuery test cases', () => {
        it('should return all the projects when empty query is passed', async () => {
            const spy = jest
                .spyOn(client.prototype, 'getProjects')
                .mockResolvedValueOnce([{ id: 1 }, { id: 2 }]);
            const result = await adapter.getProjectsByQuery();
            const mockGetNodePoolsResult = [{ id: 1 }, { id: 2 }];
            expect(result).toBeDefined();
            expect(spy).toHaveBeenCalledTimes(1);
            expect(result).toStrictEqual(mockGetNodePoolsResult);
            expect(spy).toHaveBeenCalledWith('');
        });
    });
    describe('getProjectIntegrationsById test cases', () => {
        it('should return projectIntegrations when passed with projectId', async () => {
            const projectIntegrationId = 1;
            const spy = jest
                .spyOn(client.prototype, 'projectIntegration')
                .mockResolvedValueOnce({ id: 1 });
            const result = await adapter.getProjectIntegrationsById(projectIntegrationId);
            const mockExpectedResult = { id: 1 };
            expect(result).toStrictEqual(mockExpectedResult);
            expect(spy).toHaveBeenCalledTimes(1);
        });
    });
});
//# sourceMappingURL=IntegrationDataAdapter.test.js.map