"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const ApiSyncDataAdapter_1 = require("../ApiSyncDataAdapter");
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: { config: { apiUrl: 'http://example.com', controlPlaneVersion: '1.23.6', defaultBatchSize: 100 } }
}));
describe('SyncDataAdapter test cases', () => {
    const adapter = new ApiSyncDataAdapter_1.ApiSyncDataAdapter();
    const client = internal_clients_1.PipelinesClient;
    describe('getPipelineSourcesByQuery test cases', () => {
        it('should return pipelineSources when empty query is passed', async () => {
            const query = '';
            const spy = jest.spyOn(client.prototype, 'getPipelineSources').mockResolvedValueOnce([
                { id: 1, name: 'source1' },
                { id: 2, name: 'source2' }
            ]);
            const result = await adapter.getPipelineSourcesByQuery(query);
            const mockExpectedResult = [
                { id: 1, name: 'source1' },
                { id: 2, name: 'source2' }
            ];
            expect(result).toStrictEqual(mockExpectedResult);
            expect(spy).toHaveBeenCalledTimes(1);
        });
    });
});
//# sourceMappingURL=SyncDataAdapter.test.js.map