import { DependentEntityType, RunAdjacencyAttributes } from '@jfrog-pipelines/types';
import { Step } from './Step';
export declare class DagVertex {
    private readonly runId;
    private readonly affinityGroup;
    private readonly step;
    private readonly dependentEntityId?;
    private readonly dependentEntityType?;
    constructor(dagRunId: number, dagAffinityGroup: string, dagStep: Step, dagDependentEntityId?: number, dagDependentEntityType?: DependentEntityType);
    static create(runAdjacencyAttributes: RunAdjacencyAttributes, step: Step): DagVertex;
    getRunId(): number;
    getAffinityGroup(): string;
    getStepId(): number;
    getSteps(): Step;
    getDependentEntityId(): number | null;
    getDependentEntityType(): DependentEntityType | null;
}
