"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DagVertex = void 0;
class DagVertex {
    constructor(dagRunId, dagAffinityGroup, dagStep, dagDependentEntityId, dagDependentEntityType) {
        this.runId = dagRunId;
        this.affinityGroup = dagAffinityGroup;
        this.step = dagStep;
        this.dependentEntityId = dagDependentEntityId;
        this.dependentEntityType = dagDependentEntityType;
    }
    static create(runAdjacencyAttributes, step) {
        const { runId, affinityGroup, dependentEntityId, dependentEntityType } = runAdjacencyAttributes;
        return new DagVertex(runId, affinityGroup, step, dependentEntityId, dependentEntityType);
    }
    getRunId() {
        return this.runId;
    }
    getAffinityGroup() {
        return this.affinityGroup;
    }
    getStepId() {
        return this.step.getId();
    }
    getSteps() {
        return this.step;
    }
    getDependentEntityId() {
        if (this.dependentEntityId === undefined) {
            return null;
        }
        return this.dependentEntityId;
    }
    getDependentEntityType() {
        if (this.dependentEntityType === undefined) {
            return null;
        }
        return this.dependentEntityType;
    }
}
exports.DagVertex = DagVertex;
//# sourceMappingURL=DagVertex.js.map