"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePool = void 0;
const ProjectVo_1 = require("./vo/ProjectVo");
class NodePool {
    constructor(nodePoolId, nodePoolName, dynamicNodePool, nodePoolMaxNodes, nodePoolInstanceSize, nodePoolProjectId, nodePoolProjectName, nodePoolProjectSource) {
        this.id = nodePoolId;
        this.name = nodePoolName;
        this.hasDynamic = dynamicNodePool;
        this.nodeThreshold = nodePoolMaxNodes;
        this.instanceSize = nodePoolInstanceSize;
        this.project = new ProjectVo_1.ProjectVo(nodePoolProjectId, nodePoolProjectName, nodePoolProjectSource);
    }
    static create(nodePool, project) {
        const nodePoolId = nodePool.id;
        const dynamic = nodePool.isOnDemand;
        const numberOfNodes = nodePool.numberOfNodes;
        const instanceSize = nodePool.providerMetadataPropertyBag?.instanceSize;
        const projectId = nodePool.projectId;
        const projectName = project.name;
        const projectSource = project.sourceId;
        return new NodePool(nodePoolId, nodePool.name, dynamic, numberOfNodes, instanceSize, projectId, projectName, projectSource);
    }
    getId() {
        return this.id;
    }
    isDynamic() {
        return this.hasDynamic;
    }
    getName() {
        return this.name;
    }
    getNodeThreshold() {
        return this.nodeThreshold;
    }
    getInstanceSize() {
        return this.instanceSize;
    }
    getProject() {
        return this.project;
    }
}
exports.NodePool = NodePool;
//# sourceMappingURL=NodePool.js.map