"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Step = void 0;
class Step {
    constructor(stepId, stepHookId, stepUsingLocalArtifactory, stepletsOfStep) {
        this.id = stepId;
        this.hookId = stepHookId;
        this.isLocalArtifactory = stepUsingLocalArtifactory;
        this.steplets = stepletsOfStep;
    }
    static create(step, steplets) {
        const { id, configPropertyBag } = step;
        const hookId = typeof configPropertyBag.hookId === 'number' ? configPropertyBag.hookId : null;
        const usingLocalArtifactory = typeof configPropertyBag.isStepUsingLocalArtifactory === 'boolean'
            ? configPropertyBag.isStepUsingLocalArtifactory
            : false;
        return new Step(id, hookId, usingLocalArtifactory, steplets);
    }
    getId() {
        return this.id;
    }
    getHookId() {
        return this.hookId;
    }
    hasLocalArtifactory() {
        return this.isLocalArtifactory;
    }
    getSteplets() {
        return this.steplets;
    }
}
exports.Step = Step;
//# sourceMappingURL=Step.js.map