import { Comparable } from '../../../../shared/featureFlag/Comparable';
import { DagVertex } from './DagVertex';
import { Step } from './Step';
import { Steplet } from './Steplet';
import { NodePool } from './NodePool';
export declare class StepAffinity implements Comparable<StepAffinity> {
    private readonly runId;
    private readonly affinityGroup;
    private readonly dag;
    private readonly nodePool;
    private readonly priority;
    private readonly steps;
    private readonly steplets;
    private readonly triggeredAt;
    private readonly requiresApproval;
    private readonly usingLocalArtifactory;
    private readonly waitingForApproval;
    private readonly pipelineId;
    private readonly approvalRequestedAt?;
    private readonly pipelineSourceId;
    private readonly external;
    constructor(stepAffinityRunId: number, group: string, stepAffinityDag: DagVertex[], stepAffinityNodePool: NodePool | null, stepAffinitySteps: Step[], stepAffinitySteplets: Steplet[], stepAffinityPriority: number, stepAffinityTriggeredAt: Date, stepAffinityRequiresApproval: boolean, stepAffinityUsingLocalRt: boolean, stepAffinityWaitingForApproval: boolean, stepAffinityPipelineId: number, stepAffinityPipelineSourceId: number, stepAffinityExternal: boolean);
    static create(runId: number, group: string, dag: DagVertex[], nodePoolAssigned: NodePool | null, steps: Step[]): StepAffinity | null;
    getStepsToExecute(): Step[];
    getRunId(): number;
    getAffinityGroup(): string;
    getDag(): DagVertex[];
    getNodePool(): NodePool | null;
    getPriority(): number;
    isExternal(): boolean;
    isApprovalRequired(): boolean;
    getSteplets(): Steplet[];
    getTriggeredAt(): Date;
    getProjectId(): number | null;
    isUsingLocalArtifactory(): boolean;
    isWaitingForApproval(): boolean;
    getPipelineId(): number;
    getApprovalRequestedAt(): Date | undefined;
    getPipelineSourceId(): number;
    compareTo(instance: StepAffinity): number;
}
