import { StepletAttributes } from '@jfrog-pipelines/types';
export declare class Steplet {
    private readonly id;
    private readonly priority;
    private readonly hasExternal;
    private readonly hasApprovalRequest;
    private readonly triggeredAt;
    private readonly nodePoolName?;
    private readonly affinityGroup;
    private readonly pipelineId;
    private readonly pipelineSourceId;
    constructor(stepletId: number, stepletPriority: number, externalSteplet: boolean, waitingForApprovalSteplet: boolean, stepletTriggeredAt: Date, stepletAffinityGroup: string, stepletPipelineId: number, stepletPipelineSourceId: number, nodepoolName?: string);
    static create(steplet: StepletAttributes): Steplet;
    getId(): number;
    getPriority(): number;
    isExternal(): boolean;
    isWaitingForApproval(): boolean;
    getTriggeredAt(): Date;
    getNodePoolName(): string | null;
    getAffinityGroup(): string;
    getPipelineId(): number;
    getPipelineSourceId(): number;
}
