"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Steplet = void 0;
class Steplet {
    constructor(stepletId, stepletPriority, externalSteplet, waitingForApprovalSteplet, stepletTriggeredAt, stepletAffinityGroup, stepletPipelineId, stepletPipelineSourceId, nodepoolName) {
        this.id = stepletId;
        this.priority = stepletPriority;
        this.hasExternal = externalSteplet;
        this.hasApprovalRequest = waitingForApprovalSteplet;
        this.triggeredAt = stepletTriggeredAt;
        this.affinityGroup = stepletAffinityGroup;
        this.pipelineId = stepletPipelineId;
        this.pipelineSourceId = stepletPipelineSourceId;
        this.nodePoolName = nodepoolName;
    }
    static create(steplet) {
        const { id, priority, triggeredAt, configPropertyBag, runtimePropertyBag, affinityGroup, pipelineId, pipelineSourceId } = steplet;
        const external = typeof configPropertyBag.isExternal === 'boolean' ? configPropertyBag.isExternal : false;
        const waitingForApproval = typeof runtimePropertyBag?.waitingForApproval === 'string' ? true : false;
        const nodePoolName = configPropertyBag.nodePool;
        return new Steplet(id, priority, external, waitingForApproval, triggeredAt, affinityGroup, pipelineId, pipelineSourceId, nodePoolName);
    }
    getId() {
        return this.id;
    }
    getPriority() {
        return this.priority;
    }
    isExternal() {
        return this.hasExternal;
    }
    isWaitingForApproval() {
        return this.hasApprovalRequest;
    }
    getTriggeredAt() {
        return this.triggeredAt;
    }
    getNodePoolName() {
        if (this.nodePoolName === undefined) {
            return null;
        }
        return this.nodePoolName;
    }
    getAffinityGroup() {
        return this.affinityGroup;
    }
    getPipelineId() {
        return this.pipelineId;
    }
    getPipelineSourceId() {
        return this.pipelineSourceId;
    }
}
exports.Steplet = Steplet;
//# sourceMappingURL=Steplet.js.map