import { RunAdjacencyAttributes, StepAttributes, StepletAttributes } from '@jfrog-pipelines/types';
import { NodePool } from '../models';
import { DagRecordRepository } from './filters/DagRecordRepository';
export declare class DagVertexDataRepository implements DagRecordRepository {
    private readonly dagDao;
    private readonly stepDao;
    private readonly stepletDao;
    private readonly projectDao;
    private readonly nodePoolDao;
    private readonly logger;
    constructor();
    fetch(): Promise<RunAdjacencyAttributes[]>;
    getStepsByStepIds(stepIds: number[]): Promise<Map<number, StepAttributes>>;
    getStepletByStepIds(stepIds: number[]): Promise<Map<number, StepletAttributes[]>>;
    getNodePoolsBySteplets(steplets: StepletAttributes[]): Promise<Map<number, NodePool> | null>;
    private getNodePoolsByName;
    private getProjectByIds;
}
