"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LicenseContext = void 0;
const DEFAULT_NODE_COUNT = 3;
class LicenseContext {
    setStrategy(licenseStrategy) {
        this.strategy = licenseStrategy;
    }
    async execute() {
        if (!this.strategy) {
            return DEFAULT_NODE_COUNT;
        }
        try {
            const nodeCount = await this.strategy.execute();
            if (nodeCount === null) {
                return DEFAULT_NODE_COUNT;
            }
            return nodeCount;
        }
        catch {
            return DEFAULT_NODE_COUNT;
        }
    }
}
exports.LicenseContext = LicenseContext;
//# sourceMappingURL=LicenseContext.js.map