"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnPremLicenseStrategy = void 0;
const logger_1 = require("@jfrog-pipelines/logger");
const LicenseRepository_1 = require("../repository/LicenseRepository");
class OnPremLicenseStrategy {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger(`OnPremLicenseStrategy`);
        this.licenseRepository = new LicenseRepository_1.LicenseRepository();
    }
    async execute() {
        const pipelineInfo = await this.licenseRepository.getPipelinesInfoByMissionControl();
        if (pipelineInfo === null) {
            this.logger.info(`Cannot find nodeLimit from mission Control. Going with default value`);
            return null;
        }
        return pipelineInfo.getExecutionNodes();
    }
}
exports.OnPremLicenseStrategy = OnPremLicenseStrategy;
//# sourceMappingURL=OnPremLicenseStrategy.js.map