import { NodePool, Step, StepAffinity } from '../../dag';
import { BuildPlaneMessagePayload } from './BuildPlaneMessagePayload';
import { BuildPlaneMessageUpdateStep } from './vo/BuildPlaneMessageUpdateStep';
export declare class BuildPlaneMessage {
    protected projectId: number;
    protected pipelineId: number;
    protected runId: number;
    protected payload: BuildPlaneMessagePayload;
    protected nodePoolId: number;
    protected priority: number;
    protected triggeredAt: Date;
    protected statusCode: number;
    protected updateStep: BuildPlaneMessageUpdateStep;
    private static readonly logger;
    constructor(projectId: number, pipelineId: number, runId: number, payload: BuildPlaneMessagePayload, nodePoolId: number, priority: number, triggeredAt: Date, statusCode: number, updateStep: BuildPlaneMessageUpdateStep);
    static create(stepAffinity: StepAffinity, nodePool: NodePool, stepsToExecute: Step[]): Promise<BuildPlaneMessage | null>;
    queue(): Promise<boolean>;
}
