"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BuildPlaneMessageSystemPropertyBag = void 0;
const node_util_1 = require("node:util");
const constants_1 = require("../../../../../constants");
const TokenRepository_1 = require("../../repository/TokenRepository");
const ONE_DAY_IN_SECONDS = 86400;
class BuildPlaneMessageSystemPropertyBag {
    constructor(runSetupToken) {
        this.runSetupToken = runSetupToken;
    }
    static async create(runId, projectId) {
        const token = await this.createRunStepToken(runId, projectId);
        return new BuildPlaneMessageSystemPropertyBag(token);
    }
    static async createRunStepToken(runId, projectId) {
        const tokenRequest = {
            username: `run-setup-${runId}@jfpip`,
            scope: `internal:pipelines/project/${(0, node_util_1.inspect)(projectId)}:r,w,d,m`,
            refreshable: false,
            audience: constants_1.WILDCARD_AUDIENCE,
            expiresIn: ONE_DAY_IN_SECONDS,
            grantType: 'client_credentials'
        };
        const token = await TokenRepository_1.TokenRepository.createToken(tokenRequest);
        return token;
    }
}
exports.BuildPlaneMessageSystemPropertyBag = BuildPlaneMessageSystemPropertyBag;
//# sourceMappingURL=BuildPlaneMessageSystemPropertyBag.js.map