import { Step, Steplet } from '../../dag';
declare type PostWebHookPayload = {
    action: string;
    stepId: number;
};
export declare class StepRepository {
    private readonly logger;
    private readonly stepServiceDataAdapter;
    private readonly stepletDao;
    private readonly stepDao;
    constructor();
    getStepExecutionEligibility(stepId: number): Promise<boolean>;
    requestStepApproval(stepId: number): Promise<void>;
    setWaitingForApproval(stepletId: number): Promise<void>;
    setReadyAtAndMarkGroupInProgress(stepId: number): Promise<boolean>;
    postHook(hookId: number, message: PostWebHookPayload): Promise<boolean>;
    skipSteps(steps: Step[]): Promise<void>;
    skipSteplets(steplets: Steplet[]): Promise<void>;
    errorSteps(steps: Step[]): Promise<void>;
    errorSteplets(steplets: Steplet[]): Promise<void>;
}
export {};
