"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StaticPool = void 0;
const repository_1 = require("../../repository");
class StaticPool {
    constructor(nodePool) {
        this.nodePool = nodePool;
        this.nodePoolRepository = new repository_1.NodePoolRepository();
    }
    async checkNodeUnavailability() {
        if (this.nodePool === null) {
            return true;
        }
        const numberOfAvailableNodes = await this.nodePoolRepository.getAvailableNodeCount(this.nodePool.getId());
        return numberOfAvailableNodes <= 0;
    }
}
exports.StaticPool = StaticPool;
//# sourceMappingURL=StaticPool.js.map