"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePoolServiceQueueClient = void 0;
const amqp_client_1 = require("@jfrog-pipelines/amqp-client");
const configuration_1 = require("@jfrog-pipelines/configuration");
const logger_1 = require("@jfrog-pipelines/logger");
class NodePoolServiceQueueClient {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('NodePoolServiceQueueClient');
        this.properties = configuration_1.ConfigFactory.config;
        this.publisher = new amqp_client_1.AmqpPublisher(amqp_client_1.AmqpFactory.getConnectionManager(), this.properties.amqpExchange, amqp_client_1.publisherOptions, this.logger);
    }
    async publishMessage(message) {
        await this.publisher.publishMessage('core.nodePoolService', message);
    }
}
exports.NodePoolServiceQueueClient = NodePoolServiceQueueClient;
//# sourceMappingURL=NodePoolServiceQueueClient.js.map