"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DagDao = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
class DagDao extends data_access_layer_1.CrudRepository {
    constructor() {
        super(data_access_layer_1.RunAdjacency);
    }
    getTriggerableSteps() {
        const dependentEntityTypes = [-1, 1];
        const query = `select list.id, list."runId", list."pipelineId", list."stepId", list."stepletId", list."affinityGroup", 
      list."dependentEntityType", list."dependentEntityId", list."isChronologicalRun",list."isChronologicalStep",list."chronologicalPipelineStepId" from "runAdjacency" list inner join
        (select "stepletId" from "runAdjacency" 
          where "dependentEntityType" in (${dependentEntityTypes.join(',')}) 
          group by "stepletId" having count("stepletId") = 1
        ) c on c."stepletId" = list."stepletId"`;
        return this.query(query, {
            type: data_access_layer_1.QueryTypes.SELECT,
            model: data_access_layer_1.RunAdjacency
        });
    }
}
exports.DagDao = DagDao;
//# sourceMappingURL=DagDao.js.map