"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunDao = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
class RunDao extends data_access_layer_1.CrudRepository {
    constructor() {
        super(data_access_layer_1.Run);
    }
    async fetchIncompleteRuns(pipelineIds, statusCodes) {
        const incompleteRuns = await this.findAll({
            where: {
                pipelineId: pipelineIds,
                statusCodes: statusCodes
            },
            order: [['id', 'DESC']]
        });
        return incompleteRuns;
    }
}
exports.RunDao = RunDao;
//# sourceMappingURL=RunDao.js.map