"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepServiceDataAdapter = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
class StepServiceDataAdapter {
    constructor() {
        this.client = new internal_clients_1.PipelinesClient(12);
    }
    async approveSteps(stepId) {
        return this.client.requestStepApproval(stepId);
    }
    async getStepExecutionEligibility(stepId) {
        const result = await this.client.getStepExecutionEligibility(stepId);
        return result.canExecuteStep;
    }
    async postHook(hookId, message) {
        return this.client.postHookWebHook(hookId, message);
    }
    async putStepById(stepId, update) {
        return this.client.putStepById(stepId, update);
    }
    async putStepletById(stepletId, update) {
        return this.client.putStepletById(stepletId, update);
    }
}
exports.StepServiceDataAdapter = StepServiceDataAdapter;
//# sourceMappingURL=StepServiceDataAdapter.js.map