import { RunAdjacencyAttributes, StepletAttributes, UnknownType } from '@jfrog-pipelines/types';
import { Step } from './Step';
import { Steplet } from './Steplet';
export declare type GroupStepObject = {
    runAdjacencyList: RunAdjacencyAttributes[];
    requiresApproval: boolean;
    stepletIds: number[];
    stepId: number;
    triggeredAt: Date;
    priority: number;
    readyAt: Date;
    sequence: number;
};
export declare type SortedStep = {
    stepId: number;
    stepletIds: number[];
    priority: number;
    sequence: number;
};
export declare class WaitingGroup {
    readonly runId: number;
    readonly affinityGroup: string;
    priority: number;
    triggeredAt: Date;
    projectId: number;
    pipelineId: number;
    pipelineSourceId: number;
    requiresApproval: boolean;
    approvalRequestedAt?: Date;
    waitingForApproval?: boolean;
    runAdjacencyList: RunAdjacencyAttributes[];
    groupStartedAt: Date;
    stepIds: number[];
    groupStepIds: GroupStepObject[];
    isExternal: boolean;
    nodePoolName: string;
    firstStepsList: string[];
    rejectionContext: {
        [key: string]: UnknownType;
    };
    isJobNodePool: boolean;
    skipByNoNode: boolean;
    skipByNodePoolPermissions: boolean;
    skipByNonRootEnforcement: boolean;
    steplets: StepletAttributes[];
    isStepUsingLocalArtifactory: boolean;
    reject: boolean;
    waitingForFreeNodePoolCapacity: boolean;
    constructor(runId: number, affinityGroup: string, step: Step, steplet: Steplet, runAdjacencies: RunAdjacencyAttributes[]);
    getStepsToExecute(): SortedStep[];
    getApprovalGatesStepIds(): number[];
    isGroupSkipped(): boolean;
    private setIsUsingLocalArtifactory;
    private setRunAdjacencies;
    private setSteplets;
    private setMeta;
    private setTriggeredAt;
    private setPrioerity;
    private setIsExternal;
    private setWaitForApprovalContext;
    private setStepIds;
    private getStepletsFromRunAdjacency;
    private setGroupStepIds;
    private getStepletsByAffinityGroupAndStepId;
    private hasRequiresApproval;
    private shouldRequestApproval;
    private getSortedStepIdsForWaitingGroup;
    private getStepIdsHavingZeroDeps;
    private getCountForStepId;
    private removeRunAdjacencies;
    private hasStepRunAdjacency;
}
