"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureFlag = void 0;
const logger_1 = require("@jfrog-pipelines/logger");
const cache_1 = require("@jfrog-pipelines/cache");
const SystemConfigDao_1 = require("./SystemConfigDao");
var FeatureNames;
(function (FeatureNames) {
    FeatureNames["experimentalProperties"] = "experimentalProperties";
})(FeatureNames || (FeatureNames = {}));
class FeatureFlag {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('FeatureFlags');
        this.systemConfigDao = new SystemConfigDao_1.SystemConfigDao();
    }
    async isNewJobSchedular() {
        try {
            const config = await this.systemConfigDao.findByConfigName(FeatureNames.experimentalProperties);
            if (config?.configValue?.isNewJobSchedular) {
                return true;
            }
        }
        catch (error) {
            this.logger.warn(`Failed to get feature flags`, error);
        }
        return false;
    }
}
__decorate([
    (0, cache_1.cacheable)({ key: 'isNewJobSchedular' }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], FeatureFlag.prototype, "isNewJobSchedular", null);
exports.FeatureFlag = FeatureFlag;
//# sourceMappingURL=FeatureFlag.js.map