"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SystemConfigDao = void 0;
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
class SystemConfigDao extends data_access_layer_1.CrudRepository {
    constructor() {
        super(data_access_layer_1.SystemConfig);
    }
    async findByConfigName(configName) {
        const query = {
            where: {
                configName: configName
            }
        };
        const result = await this.findOne(query);
        return (result?.toJSON() ?? { configName });
    }
}
exports.SystemConfigDao = SystemConfigDao;
//# sourceMappingURL=SystemConfigDao.js.map