"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
jest.mock('@jfrog-pipelines/configuration', () => ({
    ConfigFactory: { config: { apiUrl: 'http://example.com', controlPlaneVersion: '1.23.6', defaultBatchSize: 100 } }
}));
describe('Utils test cases', () => {
    const utils = new utils_1.Utils();
    describe('prioritizeWaitingGroups test cases', () => {
        it('should return a sorted list of waiting groups according to priority', () => {
            const input = [
                { projectId: 1, priority: 5 },
                { projectId: 2, priority: 6 },
                { projectId: 3, priority: 1 },
                { projectId: 4, priority: 5 }
            ];
            const result = utils.prioritizeWaitingGroups(input);
            const mockExpectedResult = [
                { projectId: 3, priority: 1 },
                { projectId: 1, priority: 5 },
                { projectId: 4, priority: 5 },
                { projectId: 2, priority: 6 }
            ];
            expect(result).toStrictEqual(mockExpectedResult);
        });
    });
});
//# sourceMappingURL=Utils.test.js.map